Package com.sap.ai.sdk.orchestration.model

# Record Class ChatMessageContent.ListOfTextContents

java.lang.Object
java.lang.Record
com.sap.ai.sdk.orchestration.model.ChatMessageContent.ListOfTextContents

All Implemented Interfaces:
  `ChatMessageContent`

Enclosing interface:
  `ChatMessageContent`

public static record ChatMessageContent.ListOfTextContents(@Nonnull List<TextContent> values) extends Record implements ChatMessageContent
Helper class to create `List<TextContent>` that implements `ChatMessageContent`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sap.ai.sdk.orchestration.model.ChatMessageContent

  `ChatMessageContent.InnerString, ChatMessageContent.ListOfTextContents`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListOfTextContents(List<TextContent> values)`
  Creates an instance of a `ListOfTextContents` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `List<TextContent>`
  `values()`
  Returns the value of the `values` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListOfTextContents

    public ListOfTextContents(@Nonnull List<TextContent> values)
    Creates an instance of a `ListOfTextContents` record class.
    Parameters:
      `values` - the value for the `values` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### values

    @Nonnull public List<TextContent> values()
    Returns the value of the `values` record component.
    Returns:
      the value of the `values` record component